Support » Plugin: Anthologize » Deeply Broken, Do Not Use

  • This plug-in generates malformed HTML (missing closing tags) and bad URLs during PDF conversion. I spent a few hours tracing carefully through the code until I got to the heart of the system, whereupon I found this comment on the core function that generates outputs: //@TODO: this is an epic mess. All I can say is that they got that right. I tried the module based on various write-ups on the web about book publishing plug-ins based on WP. This one’s often at the top of the list. I guess that was promotional optimism a few years ago. The codebase appears to be a dead orphan. At a minimum it requires someone to spend a few days or maybe even a few weeks fixing it all up. I don’t have the time. So I move on. You probably should too, unless you want to fork and maintain it. It’s useless as is.

  • The topic ‘Deeply Broken, Do Not Use’ is closed to new replies.